/******************************************************************************
* File name:
*   WindowSetup.java
* Author:
*   Barham, Ray
* Creation Date:
*   05/30/07 
* Developed on:
*   WinXP
* Developed with:
*   Java(TM) SE Development Kit 6
*   JCreator 4.00.028
*
* Description:
*   This class provides access to methods that help setup objects derived from
*   the Window class
******************************************************************************/

/******************************************************************************
* Import statements
******************************************************************************/
import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.Window;

class WindowSetup
{
	/**************************************************************************
	* Method Name:
	*   centerWindow
	* Arguments Passed:
	*   Window owner = An object that is a child of the Window class
	*   int width = The width of the window.
	*   int height = the height of the windows.
	* Data Returned:
	*   None
	* Method Description:
	*   This is a static class that takes the passed object and set it's
	*   window position to the center of the screen.
	**************************************************************************/	
	public static void centerWindow( Window owner, int width, int height )
	{
		// Set the width and height
		owner.setSize( width, height );

		// Get the screensize
		Dimension screenSize = Toolkit.getDefaultToolkit( ).getScreenSize( );

		// Get the upper left corner that will make the frame centered.
		int x = ( screenSize.width - owner.getSize( ).width ) / 2;
		int y = ( screenSize.height - owner.getSize( ).height ) / 2;

		// Set the location of the frame
		owner.setLocation( x, y );
	}
}